Subject: Re: bug#20733: coreutils build problem

From: Michael Felt <[email-masked]>
Date: Fri, 5 Jun 2015 12:45:14 +0200

My "fear" is that autoconf has introduced this "catch-all" as I have been
running into it more frequently of late (first time was last November when
I took my first attempt at packaging gcc.)

I shall look at the patch and let you know - however, regardless of whether
it works or not - is this something that autoconf is introducing, read
changed - requiring you to make a patch. If so, while from autoconf
perspective all may be well - it is not very user-friendly. (I just do not
understand autoconf well enough to make that distinction).

Thanks for looking! and listening!!

On Thu, Jun 4, 2015 at 9:34 PM, Eric Blake <[email-masked]> wrote:

> [adding autoconf]
>
> On 06/04/2015 01:17 PM, Paul Eggert wrote:
> >
> > On 06/04/2015 09:41 AM, Michael Felt wrote:
> >>   GEN      src/coreutils.h
> >> /bin/sh: 0403-057 Syntax error at line 1 : `;' is not expected.
> >
>
> > Port to POSIX shell, which doesn't allow 'for i in ; do ...'.
>
> Actually, POSIX _does_ allow for missing words between 'in' and the
> terminator (; or newline) before 'do' (whether by a word that expands to
> nothing, or by omission of words), requiring that the body of the for
> statement is skipped in that case:
>
>
> http://pubs.opengroup.org/onlinepubs/9699919799/utilities/V3_chap02.html#tag_18_09_04
>
> But it is also true that older shells did not always follow this rule,
> so you are indeed better off always supplying at least one word that
> won't be expanded into nothingness.
>
> Hmmm, I thought that autoconf would document it as a portability
> pitfall, but I don't see it under 'for' in this link:
>
>
> https://www.gnu.org/software/autoconf/manual/autoconf.html#Limitations-of-Builtins
>
> --
> Eric Blake   eblake redhat com    +1-919-301-3266
> Libvirt virtualization library http://libvirt.org
>
>